Subject: bug#12214: closed (Re: bug#12214: rmail-output-read-file-name Error in Summary (with Patch))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Aug 2012 20:49:03 +0000

Your bug report

#12214: rmail-output-read-file-name Error in Summary (with Patch)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12214: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12214
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12214: rmail-output-read-file-name Error in Summary (with Patch)
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 17 Aug 2012 16:39:56 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.3

Thanks for the report. I installed a slightly more complicated fix to
the Emacs trunk, currently expected to appear as Emacs 24.3 at some
point.

Subject: rmail-output-read-file-name Error in Summary (with Patch)
From: [email-masked] (T.F. Torrey)
To: [email-masked]
Date: Wed, 15 Aug 2012 16:20:03 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello developers,

I'm happy to report a bug and a fix.

Description: When in an Rmail summary buffer,
rmail-output-read-file-name looks for matches in the summary buffer
rather than in the rmail buffer, and thus fails to find the proper
match. The patch below corrects this behavior.

ChangeLog entry: make rmail-output-read-file-name use rmail-buffer when
in summary

I was unable to download the most recent Emacs from bazaar, but I was
able to get the source from the Ubuntu archive, and I think it is
current in this regard. Because of this, I also had to make a slightly
different diff, but I think it will work. It's only a two-line change
anyway.

Diff:

diff -c -L rmailout.el -L \#\<buffer\ rmailout.el\> rmailout.el /tmp/buffer-content-19356i1B
*** rmailout.el
--- #<buffer rmailout.el>
***************
*** 59,64 ****
--- 59,65 ----
  (defun rmail-output-read-file-name ()
    "Read the file name to use for `rmail-output'.
  Set `rmail-default-file' to this name as well as returning it."
+   (with-current-buffer rmail-buffer
    (let ((default-file
  	  (let (answer tail)
  	    (setq tail rmail-output-file-alist)
***************
*** 87,92 ****
--- 88,94 ----
  	      (expand-file-name
  	       (or read-file (file-name-nondirectory default-file))
  	       (file-name-directory default-file)))))))
+ )
  
  (defun rmail-delete-unwanted-fields (preserve)
    "Delete all headers matching `rmail-fields-not-to-output'.

Diff finished.  Wed Aug 15 15:35:47 2012

All the best,
Terry
-- 
T.F. Torrey